<?xml version="1.0" encoding="utf-8"?>
<ScrollView
    xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    style="@style/BaseScrollViewStyle">

    <LinearLayout
        style="@style/SmallVerticalLayoutStyle"
        android:minWidth="@dimen/dialog_min_width"
        android:padding="@dimen/padding_24">

        <LinearLayout
            android:id="@+id/nameLayout"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginBottom="@dimen/padding_16"
            android:gravity="center_vertical">

            <TextView
                style="@style/InfoSecondaryTextStyle"
                android:text="@string/text_name"/>

            <EditText
                android:id="@+id/textName"
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:layout_marginStart="@dimen/padding_8"
                android:background="@android:color/transparent"
                android:cursorVisible="false"
                android:hint="@string/text_name_hint"
                android:imeOptions="actionDone"
                android:inputType="textCapSentences"
                android:maxLines="1"
                android:textColor="@color/colorAccent"
                android:textColorHint="@color/colorGreyLight"/>

        </LinearLayout>

        <LinearLayout style="@style/SmallHorizontalLayoutStyle">

            <TextView
                style="@style/InfoSecondaryTextStyle"
                android:text="@string/text_type"/>

            <TextView
                android:id="@+id/textType"
                style="@style/InfoPrimaryTextStyle"
                android:ellipsize="marquee"
                android:singleLine="true"
                tools:text="PRODUCT"/>

        </LinearLayout>

        <LinearLayout
            style="@style/SmallHorizontalLayoutStyle"
            android:layout_marginTop="@dimen/padding_16">

            <TextView
                style="@style/InfoSecondaryTextStyle"
                android:text="@string/text_format"/>

            <TextView
                android:id="@+id/textFormat"
                style="@style/InfoPrimaryTextStyle"
                android:ellipsize="marquee"
                android:singleLine="true"
                tools:text="CODE_128"/>

        </LinearLayout>

        <LinearLayout
            style="@style/SmallHorizontalLayoutStyle"
            android:layout_marginTop="@dimen/padding_16">

            <TextView
                style="@style/InfoSecondaryTextStyle"
                android:text="@string/text_date"/>

            <TextView
                android:id="@+id/textDate"
                style="@style/InfoPrimaryTextStyle"
                android:ellipsize="marquee"
                android:singleLine="true"
                tools:text="16 Oct 2017 (15:30)"/>

        </LinearLayout>

        <LinearLayout
            style="@style/SmallHorizontalLayoutStyle"
            android:layout_marginBottom="@dimen/padding_32"
            android:layout_marginTop="@dimen/padding_16">

            <TextView
                style="@style/InfoSecondaryTextStyle"
                android:text="@string/text_content"/>

            <TextView
                android:id="@+id/textContent"
                style="@style/InfoPrimaryTextStyle"
                android:textStyle="bold"
                tools:text="Content text"/>

        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:gravity="end"
            android:orientation="horizontal">

            <TextView
                android:id="@+id/buttonClose"
                style="@style/DialogButtonStyle"
                android:text="@string/btn_close"/>

            <TextView
                android:id="@+id/buttonCopy"
                style="@style/DialogButtonStyle"
                android:layout_marginStart="@dimen/padding_24"
                android:text="@string/btn_copy"/>

        </LinearLayout>

    </LinearLayout>

</ScrollView>